Bug 841753 - Review Request: ghc-IOSpec - A pure specification of the IO monad
Review Request: ghc-IOSpec - A pure specification of the IO monad
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 03:19 EDT by Shakthi Kannan
Modified: 2012-09-18 23:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:40:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-07-20 03:19:53 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-IOSpec.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-IOSpec-0.2.5-1.fc16.src.rpm
Description: This package consists of several modules, that give a pure specification of functions in the IO monad.
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-07-20 04:46:53 EDT
$ rpmlint ghc-IOSpec.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-IOSpec-0.2.5-1.fc16.src.rpm 
ghc-IOSpec.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
ghc-IOSpec.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ghc-IOSpec-0.2.5-1.fc16.x86_64.rpm 
ghc-IOSpec.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
ghc-IOSpec.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ghc-IOSpec-devel-0.2.5-1.fc16.x86_64.rpm 
ghc-IOSpec-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
ghc-IOSpec-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4275925
http://koji.fedoraproject.org/koji/taskinfo?taskID=4275927
http://koji.fedoraproject.org/koji/taskinfo?taskID=4275931
Comment 2 Narasimhan 2012-09-09 09:01:31 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-IOSpec-0.2.5-1.fc16.src.rpm ghc-IOSpec-0.2.5-1.fc16.x86_64.rpm ghc-IOSpec-devel-0.2.5-1.fc16.x86_64.rpm ../ghc-IOSpec.spec 
ghc-IOSpec.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-IOSpec.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-IOSpec.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-IOSpec.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-IOSpec-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-IOSpec-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in -devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
ha256sum ghc-IOSpec-0.2.5-1.fc16.src/IOSpec-0.2.5.tar.gz IOSpec-0.2.5.tar.gz
92a08ee099bae2d69dc6d3b276336ad2c04aa63873b33116e57f1b98c6c3db64  ghc-IOSpec-0.2.5-1.fc16.src/IOSpec-0.2.5.tar.gz
92a08ee099bae2d69dc6d3b276336ad2c04aa63873b33116e57f1b98c6c3db64  IOSpec-0.2.5.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64. Koji builds done in f16,f17 and f18 by packager.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation in -devel package.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Loaded Test.IOSpec.Fork into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Shakthi Kannan 2012-09-09 09:11:18 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-IOSpec
Short Description: A pure specification of the IO monad
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-09-09 16:38:00 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-09-09 22:37:52 EDT
ghc-IOSpec-0.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-IOSpec-0.2.5-1.fc17
Comment 6 Fedora Update System 2012-09-09 22:38:03 EDT
ghc-IOSpec-0.2.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-IOSpec-0.2.5-1.fc16
Comment 7 Fedora Update System 2012-09-09 22:38:14 EDT
ghc-IOSpec-0.2.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-IOSpec-0.2.5-1.fc18
Comment 8 Fedora Update System 2012-09-10 12:09:17 EDT
ghc-IOSpec-0.2.5-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-09-17 19:40:29 EDT
ghc-IOSpec-0.2.5-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2012-09-18 22:52:25 EDT
ghc-IOSpec-0.2.5-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-09-18 23:13:30 EDT
ghc-IOSpec-0.2.5-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.